function u=eval(self,fun,varargin)
  % version simplifiée pour le moment
    p = inputParser; 
    p.addParameter('local',false,@islogical);
    p.addParameter('labels',[]);
    p.parse(varargin{:});
    R=p.Results;
    if iscell(fun)
      m=length(fun);
      u=cell(m,1);
      for i=1:m
        u{i}=scalarEval(self,fun{i},R.local,R.labels);
      end
    else
      u=scalarEval(self,fun,R.local,R.labels);
    end
end

function u=scalarEval(self,fun,local,labels)
  if isempty(labels), idxlab=self.find(self.d);else idxlab=self.find(self.d,labels);end
  if isnumeric(fun)
    Eval=@(i) fun;
  else
    Eval=@(i) self.sTh{i}.eval(fun);
  end
  if local
    u=zeros(self.nq,1);
    for i=idxlab%self.find(self.d)
        u(self.sTh{i}.toParent)=Eval(i);%self.sTh{i}.eval(fun);
    end
  else
    u=zeros(self.nq,1);
    for i=idxlab%self.find(self.d)
        u(self.sTh{i}.toGlobal)=Eval(i);%self.sTh{i}.eval(fun);
    end
  end
end